Skip to main content
GET
/
gst
/
compliance
/
e-way-bill
/
consignor
/
bill
Get E-Way Bill By Document Data
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/bill \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/bill"

headers = {
    "authorization": "<authorization>",
    "x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/bill', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "code": 200, "data": { "data": { "alert": null, "ewayBillDate": "13/05/2024 12:50:00 PM", "ewayBillNo": 231010079649, "validUpto": "18/05/2024 23:59:59 " }, "status": "1" }, "timestamp": 1763446641000, "transaction_id": "1b6b96a2-1f93-4e29-b1af-2841824c1ffe" }

Headers

authorization
string
required

E-Way Bill access token. For token-generation steps, refer to the Generate E-Way Bill Session recipe, then pass the token in the authorization header.

x-api-key
string
required

API key for identification

x-api-version
string
default:1.0.0

API version

Query Parameters

document_type
string
required

Document type. Possible values: INV

Example:

"INV"

document_number
string
required

Document number

Example:

"EWB-00001"

Response

200 - application/json

200 EWB fetched / 418 No data found

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"1b6b96a2-1f93-4e29-b1af-2841824c1ffe"